Subject: bug#74140: [PATCH] Add :continue-only directive for repeat maps in bind-keys, use-package

From: Juri Linkov <[email-masked]>
Date: Wed, 04 Dec 2024 19:29:20 +0200

>    ** New symbol property 'repeat-continue-only' for 'repeat-mode'.
>   -A command with this symbol property whose value is non-nil will not
>   -activate the repeat map in 'repeat-mode', it will only continue the
>   -already activated repeating sequence.
>   +A command with this symbol property whose value is a list of repeat
>   +maps will not activate the repeat map in 'repeat-mode'.  It will only
>   +continue the already activated repeating sequence.  Also 'defvar-keymap'
>   +supports a new keyword ':continue-only' with a list of commands that
>   +only continue the active repeating sequence.
>
> This doesn't say what is the significance of the repeat maps included
> in the value of the property (as opposed to those not included).  I'm
> guessing they have some influence on the result, so NEWS should at
> least hint on that.

When I tried to explain better, I realized there is no need to have
a list of repeat maps, because a command can't have more than 1 map
in its symbol property 'repeat-map'.

Let's wait Paul to confirm whether it will be sufficient for
bind-keys to just set 'repeat-continue-only' to t, not a list.